# org.pdfclown.documents.contents.xObjects.FormXObject Class Reference

Form external object [PDF:1.6:4.9]. More...

Inheritance diagram for org.pdfclown.documents.contents.xObjects.FormXObject:

List of all members.

## Public Member Functions
virtual object | Clone (Document context)
| Gets a clone of the object, registered inside the given document context.
virtual bool | Delete ()
| Removes the object from its document context.
override bool | Equals (object obj)
| FormXObject (Document context, drawing::RectangleF box)
| Creates a new form within the specified document context.
| FormXObject (Document context, drawing::SizeF size)
| Creates a new form within the specified document context.
override int | GetHashCode ()
void | Render (Graphics context, SizeF size)
void | Render (drawing::Graphics context, drawing::SizeF size)
ContentObject | ToInlineObject (PrimitiveComposer composer)
| Converts this entity to its equivalent inline (dependent) object representation [PDF:1.6:4.8.6].
XObject | ToXObject (Document context)
| Converts this entity to its equivalent external (independent) object representation [PDF:1.6:4.7].
## Static Public Member Functions
static PdfDirectObject | GetBaseObject (PdfObjectWrapper wrapper)
| Gets the PDF object backing the specified wrapper.
static new FormXObject | Wrap (PdfDirectObject baseObject)
| Wraps an external object reference into an external object.
## Protected Member Functions
void | CheckCompatibility (object feature)
| Checks whether the specified feature is compatible with the document's conformance version.
virtual PdfString | RetrieveName ()
| Retrieves the name possibly associated to this object, walking through the document's name dictionary.
PdfDirectObject | RetrieveNamedBaseObject ()
| Retrieves the object name, if available; otherwise, behaves like PdfObjectWrapper.BaseObject.
## Properties
virtual PdfDirectObject | BaseObject`[get, set]`
drawing::RectangleF | Box`[get, set]`
| Gets the bounding box associated with this content context either explicitly (directly associated to the object) or (if not explicitly available) implicitly (inherited from a higher level object), expressed in default user-space units.
PdfIndirectObject | Container`[get]`
| Gets the indirect object containing the base object.
Contents | Contents`[get]`
| Gets the contents collection representing the content stream associated with this content context.
PdfIndirectObject | DataContainer`[get]`
| Gets the indirect object containing the base data object.
Document | Document`[get]`
| Gets the document context.
File | File`[get]`
| Gets the file context.
LayerEntity | Layer`[get, set]`
| Gets/Sets the layer associated to this object.
override Matrix | Matrix`[get, set]`
| Gets/Sets the mapping from external-object space to user space.
Resources | Resources`[get, set]`
| Gets the resources associated with this content context either explicitly (directly associated to the object) or (if not explicitly available) implicitly (inherited from a higher-level object).
RotationEnum | Rotation`[get]`
| Gets the rendering rotation of this content context.
override drawing::SizeF | Size`[get, set]`
| Gets/Sets the external object size.

##

Form external object [PDF:1.6:4.9].

## Constructor & Destructor Documentation

org.pdfclown.documents.contents.xObjects.FormXObject.FormXObject | ( | Document | context,
|  | drawing::SizeF | size |
| ) |  |  |

Creates a new form within the specified document context.

Parameters:

  | context | Document where to place this form.
  | size | Form size.

org.pdfclown.documents.contents.xObjects.FormXObject.FormXObject | ( | Document | context,
|  | drawing::RectangleF | box |
| ) |  |  |

Creates a new form within the specified document context.

Parameters:

  | context | Document where to place this form.
  | box | Form box.

## Member Function Documentation

void org.pdfclown.objects.PdfObjectWrapper.CheckCompatibility | ( | object | feature | ) | `[protected, inherited]`

Checks whether the specified feature is compatible with the document's conformance version.

Parameters:

  | feature | Entity whose compatibility has to be checked. Supported types: VersionEnum Property name resolvable to an annotated getter method MemberInfo

virtual object org.pdfclown.objects.PdfObjectWrapper.Clone | ( | Document | context | ) | `[virtual, inherited]`

Gets a clone of the object, registered inside the given document context.

Parameters:

  | context | Which document the clone has to be registered in.

virtual bool org.pdfclown.objects.PdfObjectWrapper.Delete | ( |  | ) | `[virtual, inherited]`

Removes the object from its document context.

The object is no more usable after this method returns.

Returns:
  Whether the object was actually decontextualized (only indirect objects can be decontextualize).

override bool org.pdfclown.objects.PdfObjectWrapper.Equals | ( | object | obj | ) | `[inherited]`

static PdfDirectObject org.pdfclown.objects.PdfObjectWrapper.GetBaseObject | ( | PdfObjectWrapper< PdfStream > | wrapper | ) | `[static, inherited]`

Gets the PDF object backing the specified wrapper.

Parameters:

  | wrapper | Object to extract the base from.

override int org.pdfclown.objects.PdfObjectWrapper.GetHashCode | ( |  | ) | `[inherited]`

void org.pdfclown.documents.contents.IContentContext.Render | ( | Graphics | context,
|  | SizeF | size |
| ) |  |  | `[inherited]`

Renders this content context into the specified rendering context.

Parameters:

  | context | Rendering context.
  | size | Rendering canvas size.

Since:
  0.1.0

Referenced by org.pdfclown.tools.Renderer.Render().

void org.pdfclown.documents.contents.xObjects.FormXObject.Render | ( | drawing::Graphics | context,
|  | drawing::SizeF | size |
| ) |  |  |

References org.pdfclown.documents.contents.ContentScanner.Render().

virtual PdfString org.pdfclown.objects.PdfObjectWrapper.RetrieveName | ( |  | ) | `[protected, virtual, inherited]`

Retrieves the name possibly associated to this object, walking through the document's name dictionary.

PdfDirectObject org.pdfclown.objects.PdfObjectWrapper.RetrieveNamedBaseObject | ( |  | ) | `[protected, inherited]`

Retrieves the object name, if available; otherwise, behaves like PdfObjectWrapper.BaseObject.

ContentObject org.pdfclown.documents.contents.xObjects.FormXObject.ToInlineObject | ( | PrimitiveComposer | composer | ) |

Converts this entity to its equivalent inline (dependent) object representation [PDF:1.6:4.8.6].

This method creates and shows an inline object within the target content context, returning it.

Due to its direct-content nature (opposite to the indirect-content nature of external objects), the resulting object should be shown only one time in order not to wastefully duplicate its data.

Parameters:

  | composer | Target content composer.

Returns:
  The inline object representing the entity.

Implements org.pdfclown.documents.contents.IContentEntity.

XObject org.pdfclown.documents.contents.xObjects.FormXObject.ToXObject | ( | Document | context | ) |

Converts this entity to its equivalent external (independent) object representation [PDF:1.6:4.7].

This method creates an external object within the target document, returning it. To show it in a content context (eg: a page), then it must be applied in an appropriate manner (see PrimitiveComposer object).

Parameters:

  | context | Target document.

Returns:
  The external object representing the entity.

Implements org.pdfclown.documents.contents.IContentEntity.

static new FormXObject org.pdfclown.documents.contents.xObjects.FormXObject.Wrap | ( | PdfDirectObject | baseObject | ) | `[static]`

Wraps an external object reference into an external object.

Parameters:

  | baseObject | External object base object.

Returns:
  External object associated to the reference.

Reimplemented from org.pdfclown.documents.contents.xObjects.XObject.

## Property Documentation

virtual PdfDirectObject org.pdfclown.objects.PdfObjectWrapper.BaseObject`[get, set, inherited]`

Gets the underlying reference object, if available; otherwise, gets the underlying data object.

drawing::RectangleF org.pdfclown.documents.contents.xObjects.FormXObject.Box`[get, set]`

Gets the bounding box associated with this content context either explicitly (directly associated to the object) or (if not explicitly available) implicitly (inherited from a higher level object), expressed in default user-space units.

Implements org.pdfclown.documents.contents.IContentContext.

PdfIndirectObject org.pdfclown.objects.PdfObjectWrapper.Container`[get, inherited]`

Gets the indirect object containing the base object.

Contents org.pdfclown.documents.contents.xObjects.FormXObject.Contents`[get]`

Gets the contents collection representing the content stream associated with this content context.

Implements org.pdfclown.documents.contents.IContentContext.

PdfIndirectObject org.pdfclown.objects.PdfObjectWrapper.DataContainer`[get, inherited]`

Gets the indirect object containing the base data object.

Document org.pdfclown.objects.PdfObjectWrapper.Document`[get, inherited]`

Gets the document context.

File org.pdfclown.objects.PdfObjectWrapper.File`[get, inherited]`

Gets the file context.

LayerEntity org.pdfclown.documents.contents.xObjects.XObject.Layer`[get, set, inherited]`

Gets/Sets the layer associated to this object.

Implements org.pdfclown.documents.contents.layers.ILayerable.

override Matrix org.pdfclown.documents.contents.xObjects.FormXObject.Matrix`[get, set]`

Gets/Sets the mapping from external-object space to user space.

Reimplemented from org.pdfclown.documents.contents.xObjects.XObject.

Resources org.pdfclown.documents.contents.xObjects.FormXObject.Resources`[get, set]`

Gets the resources associated with this content context either explicitly (directly associated to the object) or (if not explicitly available) implicitly (inherited from a higher-level object).

The implementing class MUST ensure that the returned object isn't

    null

.

Implements org.pdfclown.documents.contents.IContentContext.

Referenced by org.pdfclown.documents.Page.ToXObject().

RotationEnum org.pdfclown.documents.contents.xObjects.FormXObject.Rotation`[get]`

Gets the rendering rotation of this content context.

Implements org.pdfclown.documents.contents.IContentContext.

override drawing::SizeF org.pdfclown.documents.contents.xObjects.FormXObject.Size`[get, set]`

Gets/Sets the external object size.

Reimplemented from org.pdfclown.documents.contents.xObjects.XObject.

Copyright 2006-2013 Stefano Chizzolini. For more information, please visit PDF Clown home page.